/*******************************************************************************
* File Name: SampleSW.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SampleSW_H) /* Pins SampleSW_H */
#define CY_PINS_SampleSW_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SampleSW_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SampleSW__PORT == 15 && ((SampleSW__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    SampleSW_Write(uint8 value);
void    SampleSW_SetDriveMode(uint8 mode);
uint8   SampleSW_ReadDataReg(void);
uint8   SampleSW_Read(void);
void    SampleSW_SetInterruptMode(uint16 position, uint16 mode);
uint8   SampleSW_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the SampleSW_SetDriveMode() function.
     *  @{
     */
        #define SampleSW_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define SampleSW_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define SampleSW_DM_RES_UP          PIN_DM_RES_UP
        #define SampleSW_DM_RES_DWN         PIN_DM_RES_DWN
        #define SampleSW_DM_OD_LO           PIN_DM_OD_LO
        #define SampleSW_DM_OD_HI           PIN_DM_OD_HI
        #define SampleSW_DM_STRONG          PIN_DM_STRONG
        #define SampleSW_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define SampleSW_MASK               SampleSW__MASK
#define SampleSW_SHIFT              SampleSW__SHIFT
#define SampleSW_WIDTH              1u

/* Interrupt constants */
#if defined(SampleSW__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in SampleSW_SetInterruptMode() function.
     *  @{
     */
        #define SampleSW_INTR_NONE      (uint16)(0x0000u)
        #define SampleSW_INTR_RISING    (uint16)(0x0001u)
        #define SampleSW_INTR_FALLING   (uint16)(0x0002u)
        #define SampleSW_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define SampleSW_INTR_MASK      (0x01u) 
#endif /* (SampleSW__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SampleSW_PS                     (* (reg8 *) SampleSW__PS)
/* Data Register */
#define SampleSW_DR                     (* (reg8 *) SampleSW__DR)
/* Port Number */
#define SampleSW_PRT_NUM                (* (reg8 *) SampleSW__PRT) 
/* Connect to Analog Globals */                                                  
#define SampleSW_AG                     (* (reg8 *) SampleSW__AG)                       
/* Analog MUX bux enable */
#define SampleSW_AMUX                   (* (reg8 *) SampleSW__AMUX) 
/* Bidirectional Enable */                                                        
#define SampleSW_BIE                    (* (reg8 *) SampleSW__BIE)
/* Bit-mask for Aliased Register Access */
#define SampleSW_BIT_MASK               (* (reg8 *) SampleSW__BIT_MASK)
/* Bypass Enable */
#define SampleSW_BYP                    (* (reg8 *) SampleSW__BYP)
/* Port wide control signals */                                                   
#define SampleSW_CTL                    (* (reg8 *) SampleSW__CTL)
/* Drive Modes */
#define SampleSW_DM0                    (* (reg8 *) SampleSW__DM0) 
#define SampleSW_DM1                    (* (reg8 *) SampleSW__DM1)
#define SampleSW_DM2                    (* (reg8 *) SampleSW__DM2) 
/* Input Buffer Disable Override */
#define SampleSW_INP_DIS                (* (reg8 *) SampleSW__INP_DIS)
/* LCD Common or Segment Drive */
#define SampleSW_LCD_COM_SEG            (* (reg8 *) SampleSW__LCD_COM_SEG)
/* Enable Segment LCD */
#define SampleSW_LCD_EN                 (* (reg8 *) SampleSW__LCD_EN)
/* Slew Rate Control */
#define SampleSW_SLW                    (* (reg8 *) SampleSW__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SampleSW_PRTDSI__CAPS_SEL       (* (reg8 *) SampleSW__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SampleSW_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SampleSW__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SampleSW_PRTDSI__OE_SEL0        (* (reg8 *) SampleSW__PRTDSI__OE_SEL0) 
#define SampleSW_PRTDSI__OE_SEL1        (* (reg8 *) SampleSW__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SampleSW_PRTDSI__OUT_SEL0       (* (reg8 *) SampleSW__PRTDSI__OUT_SEL0) 
#define SampleSW_PRTDSI__OUT_SEL1       (* (reg8 *) SampleSW__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SampleSW_PRTDSI__SYNC_OUT       (* (reg8 *) SampleSW__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(SampleSW__SIO_CFG)
    #define SampleSW_SIO_HYST_EN        (* (reg8 *) SampleSW__SIO_HYST_EN)
    #define SampleSW_SIO_REG_HIFREQ     (* (reg8 *) SampleSW__SIO_REG_HIFREQ)
    #define SampleSW_SIO_CFG            (* (reg8 *) SampleSW__SIO_CFG)
    #define SampleSW_SIO_DIFF           (* (reg8 *) SampleSW__SIO_DIFF)
#endif /* (SampleSW__SIO_CFG) */

/* Interrupt Registers */
#if defined(SampleSW__INTSTAT)
    #define SampleSW_INTSTAT            (* (reg8 *) SampleSW__INTSTAT)
    #define SampleSW_SNAP               (* (reg8 *) SampleSW__SNAP)
    
	#define SampleSW_0_INTTYPE_REG 		(* (reg8 *) SampleSW__0__INTTYPE)
#endif /* (SampleSW__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SampleSW_H */


/* [] END OF FILE */
